# $Revision: 1.20 $, $Date: 2012/01/14 21:17:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Multibyte
Summary:	String::Multibyte - Perl module to manipulate multibyte character strings
Summary(pl.UTF-8):	String::Multibyte - moduł Perla do obróbki łańcuchów znaków wielobajtowych
Name:		perl-String-Multibyte
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82821825e95ed2e608b2a687a95c8189
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides some functions which emulate the corresponding
CORE functions to manipulate multiple-byte character strings.

%description -l pl.UTF-8
Ten moduł udostępnia trochę funkcji emulujących odpowiadające im
funkcje CORE, służących do obróbki łańcuchów znaków wielobajtowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Multibyte.spec,v $
Revision 1.20  2012/01/14 21:17:25  zbyniu
- up to 1.10

Revision 1.19  2008/07/27 22:48:32  arekm
- release 2

Revision 1.18  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:45  paladine
- formatting

Revision 1.15  2004/05/06 18:21:08  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.13  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.12  2003/09/18 13:21:25  adamg
- updated to 1.05

Revision 1.11  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:15  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 20:46:46  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:25  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/20 12:28:48  mis
- autoupdated to 1.03

Revision 1.2  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
